Search documentation of phoenix_kit

# PhoenixKit.Users.MagicLinkRegistration (phoenix_kit v1.7.87)

Copy Markdown View Source

Two-step user registration via Magic Link email.

Flow:

1. User enters email
2. Receives magic link via email
3. Clicks link to complete registration with profile details

## Summary

### Functions

cleanup_expired_tokens()

Cleans up expired registration tokens.

complete_registration(token, attrs, ip_address \\ nil)

Completes user registration using a magic link token.

delete_registration_token(token)

Deletes a registration token.

get_expiry_minutes()
registration_link_url(token)

Generates a registration magic link URL.

send_registration_link(email)

Sends a registration magic link to the specified email address.

verify_registration_token(token)

Verifies a magic link registration token.

## Functions

# cleanup_expired_tokens()

Cleans up expired registration tokens.

# complete_registration(token, attrs, ip_address \\ nil)

Completes user registration using a magic link token.

# delete_registration_token(token)

Deletes a registration token.

# get_expiry_minutes()

# registration_link_url(token)

Generates a registration magic link URL.

# send_registration_link(email)

Sends a registration magic link to the specified email address.

# verify_registration_token(token)

Verifies a magic link registration token.